<!doctype html>
<title>Luko-Letter API</title>

<h1>Letter Status Info</h1>

{% if error  %}
    <h3>{{ error }}</h3>
{% elif tracking_id %}
    <h3>Tracking ID: {{ tracking_id }}</h3>
    <h4>Message: {{ message }}</h4>
    {% if status_history%}
        <h4>Status History:</h4>
        <ul>
        {% for status in status_history %}
            <li>{{ status }}</li>
        {% endfor %}
        </ul>
    {% endif %}
{% elif letter_info %}
    <table>
        <thead>
            <tr>
                <th>Tracking ID</th>
                <th>Status</th>
            </tr>
        </thead>
        <tbody>
            {% for letter in letter_info %}
                <tr>
                    <td>{{ letter.tracking_id }}</td>
                    <td>{{ letter.status }}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

{% endif %}

